Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression.operator
Interface BinaryOperator

All Known Implementing Classes:
  CollectionContains, CollectionContainsAll, CollectionContainsAny, CollectionOperator, ComparativeOperator, ContainedIn, Equals, GreaterOrEquals, GreaterThan, Instanceof, LessOrEquals, LessThan, LogicalAnd, LogicalOr, MathAdd, MathAtan2, MathDivide, MathIeeeRemainder, MathMax, MathMin, MathMultiply, MathPow, MathRandom, MathSubtract, NotEquals, StringCharAt, StringCompareToIgnoreCase, StringConcat, StringContains, StringEndsWith, StringEqualsIgnoreCase, StringLike, StringStartsWith

    public interface BinaryOperator

An interface for concrete binary operator classes.

Field Summary
`static int` | `LHS_INDEX` The index of left hand side operand of this binary operator.
`static int` | `RHS_INDEX` The index of right hand side operand of this binary operator.

Method Summary
`Object` | `getLeftHandSide()` Returns left hand side operand of this binary operator.
`Object` | `getRightHandSide()` Returns right hand side operand of this binary operator.

Field Detail

### LHS_INDEX

    static final int LHS_INDEX

  The index of left hand side operand of this binary operator.

  See Also
    Constants Summary

### RHS_INDEX

    static final int RHS_INDEX

  The index of right hand side operand of this binary operator.

  See Also
    Constants Summary

Method Detail

### getLeftHandSide

    Object getLeftHandSide()

  Returns left hand side operand of this binary operator.

  Returns
    The left hand side operand.

### getRightHandSide

    Object getRightHandSide()

  Returns right hand side operand of this binary operator.

  Returns
    The left hand side operand.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved